Refresh bridge step transactionRequest
curl --request POST \
--url https://api.request.network/v2/secure-payments/{token}/refresh-step-transaction \
--header 'Content-Type: application/json' \
--header 'Origin: <origin>' \
--header 'x-client-id: <x-client-id>' \
--data '
{
"step": {
"id": "<string>",
"type": "<string>",
"tool": "<string>",
"action": {
"toChainId": 123,
"toAddress": "<string>"
}
}
}
'import requests
url = "https://api.request.network/v2/secure-payments/{token}/refresh-step-transaction"
payload = { "step": {
"id": "<string>",
"type": "<string>",
"tool": "<string>",
"action": {
"toChainId": 123,
"toAddress": "<string>"
}
} }
headers = {
"x-client-id": "<x-client-id>",
"Origin": "<origin>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-client-id': '<x-client-id>',
Origin: '<origin>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
step: {
id: '<string>',
type: '<string>',
tool: '<string>',
action: {toChainId: 123, toAddress: '<string>'}
}
})
};
fetch('https://api.request.network/v2/secure-payments/{token}/refresh-step-transaction', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
V2/Secure Payment
Refresh bridge step transactionRequest
Re-stamps the bridge deadline to ‘now’ by calling LI.FI /advanced/stepTransaction for a previously selected route step. Call this in parallel for all steps immediately before bundling and submitting the UserOp to avoid deadline expiry.
POST
/
v2
/
secure-payments
/
{token}
/
refresh-step-transaction
Refresh bridge step transactionRequest
Headers
Client ID for frontend authentication
Origin header (automatically set by browser)
Path Parameters
Body
application/json
LI.FI route step object from /advanced/routes
Show child attributes
Show child attributes
Response
Fresh transactionRequest returned
Was this page helpful?
⌘I